pt-agent --uninstall fails if agent is running

Bug #1251726 reported by Daniel Nichter on 2013-11-15
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Percona Toolkit
Medium
Daniel Nichter

Bug Description

"""
# sudo ./pt-agent --uninstall
Uninstalling pt-agent...
2013-10-21T10:03:11 WARNING Sorry, an error occured while getting the pt-agent PID: Use of uninitialized value $pid in pattern match (m//) at ./pt-agent line 8297.
2013-10-21T10:03:11 INFO Removing all services from crontab...
2013-10-21T10:03:11 FATAL Failed to stop pt-agent.
"""

Related branches

lp:~percona-toolkit-dev/percona-toolkit/pt-agent-fixes
Daniel Nichter: Approve on 2013-12-11
Changed in percona-toolkit:
status: Confirmed → In Progress
Changed in percona-toolkit:
status: In Progress → Fix Committed
Changed in percona-toolkit:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers